[Mobile Must Install] Setup scenario for plugin Mobile Must Install

[Mobile Must Install] Setup scenario for plugin Mobile Must Install

  
Forge Component
(1)
Published on 26 Mar by José Fábio Vieira
1 vote
Published on 26 Mar by José Fábio Vieira

Hello, 


After you have installed the component and implemented the necessary changes on your mobile application to use the component you need to set up the scenario, to that end:

  1. Access Lifetime and tag a new version for your mobile device
  2. In Service Center/Studio generate the new package/build with this version
  3. Access plugin back-office (https://<server>/MobileMustInstall/) go into your application details and check your latest version as "Must Install" 
  4. In your device open your application, this should be redirected to the screen you defined in the implementation


On step 4) client action Device_VersionCheck logic will do the following:

  1. Check if Cordova is loaded or not, meaning, is this running on a device or browser?
    • Will exit without triggering any update when Cordova is not loaded
  2. Evaluate if the App Version Plugin is installed on the device 
    • Required to fetch the package (apk/ipa) version 
    • Is not available, by default assumes this is not the recent version and must install a new build
  3. Get package version (X.Y.Z)
    1. Is Online, (splash screen runs the update only when you are online)
      1. Fetch from the server the versions (only information) greater than X.Y.Z flagged in the back office that needs to install a new build
      2. Store the previous information in a local entity for offline purposes
      3. If exists a single version greater than X.Y.Z the current device application is outdated
    2. Is Offline
      1. Check the local entity for version greater than X.Y.Z 
      2. If exists a single version greater than X.Y.Z the current device application is outdated


I hope this makes it clear